/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         		  transformarTexto = true; // Cambiar a false, si la actividad es de lenguaje o requiere validación exacta de las palabras   
         		  eliminarEspacios = true; // Cambiar a true, si la actividad es de matemáticas o requiere omitir los espacios en blanco de la validación
         		  //Total de inputs       
                 TotalInput = 1;
                 //Para filtrar se pueden usar las siguientes variables:
                 /* 
         		'int'= [0-9] //números enteros 
         		'num' =[0-9.]  //números y punto
         		'alphanum' =[a-z0-9_] 
         		'alpha'=[a-zA-z_ ]//caracteres mayúscula, minúscula y espacio
         		'alphalower'=[a-z_ ]  //caracteres en minúsculas y números
         		'alphaupper'=[A-Z_ ]  //caracteres en mayúscula y números
         		'alphanumupper'=[a-zA-Z0-9_]  //caracteres en minúsculas, mayúsculas y números
         		'alphanumspacelower'= [a-z0-9_ ]  //caracteres en minúsculas, números y espacio
         		'alphanumspace'= [a-z0-9_ ] //caracteres en minúsculas, espacio y números
         		'alphanumspacelower' =[a-z0-9_ ]		
         		'all'=[a-zA-Z0-9_°!"#$%&/()=?¡¨*;:_-.,}{´+¿`^[]{}@ ] //POR DEFECTO ESTÁN HABILITADOS TODOS LOS CARACTERES 
         		*/
         
                 filtrar='alpha';
                 sym.setVariable("border", "2px double #cccccc");
         			sym.setVariable("fondo", "rgba(255,255,255,0.50)");
         			sym.setVariable("colorini", "#666666");
         			sym.setVariable("colorok", "#666666");
         			sym.setVariable("fondook","rgba(169,194,88,0.80)");
         			sym.setVariable("colorbad", "#ffffff");
         			sym.setVariable("fondobad", "#f3716c");
         			sym.setVariable("fontsize", "35px");
         			sym.setVariable("fontFamily", "Cabin");
         			sym.setVariable("fontStyle", "normal");
         			sym.setVariable("fontweight", "bold");
         			sym.setVariable("height", "auto");
         			sym.setVariable("border-radius", "5px");
         //RESPUESTAS -- CAMBIAR VALORES
         sym.setVariable("Respuesta_1", "Menor");
         sym.setVariable("Respuesta_2", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_3", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_4", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_5", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_6", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_7", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_8", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_9", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_10", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_11", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_12", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_13", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_14", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_15", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_16", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_17", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_18", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_19", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_20", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_21", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_22", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_23", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_24", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_25", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_26", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_27", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_28", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_29", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_30", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_31", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_32", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_33", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_34", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_35", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_36", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_37", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_38", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_39", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_40", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_41", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_42", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_43", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_44", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_45", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_46", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_47", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_48", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_49", "REEMPLAZAR POR VALOR");
         sym.setVariable("Respuesta_50", "REEMPLAZAR POR VALOR");
         
         /*	
         	Modifique el valor en pixels para el ancho de cada input según lo requiera
         */
         //seleccion_1.style.textTransform="uppercase";
         //seleccion_1.style.fontStyle="italic";
         seleccion_1.style.width= '375px';
         seleccion_2.style.width= '140px';
         seleccion_3.style.width= '140px';
         seleccion_4.style.width= '140px';
         seleccion_5.style.width= '140px';
         seleccion_6.style.width= '140px';
         seleccion_7.style.width= '140px';
         seleccion_8.style.width= '140px';
         seleccion_9.style.width= '140px';
         seleccion_10.style.width= '140px';
         seleccion_11.style.width= '140px';
         seleccion_12.style.width= '140px';
         seleccion_13.style.width= '140px';
         seleccion_14.style.width= '140px';
         seleccion_15.style.width= '140px';
         seleccion_16.style.width= '140px';
         seleccion_17.style.width= '140px';
         seleccion_18.style.width= '140px';
         seleccion_19.style.width= '140px';
         seleccion_20.style.width= '140px';
         seleccion_10.style.width= '140px';
         seleccion_21.style.width= '140px';
         seleccion_22.style.width= '140px';
         seleccion_23.style.width= '140px';
         seleccion_24.style.width= '140px';
         seleccion_25.style.width= '140px';
         seleccion_26.style.width= '140px';
         seleccion_27.style.width= '140px';
         seleccion_28.style.width= '140px';
         seleccion_29.style.width= '140px';
         seleccion_30.style.width= '140px';
         seleccion_31.style.width= '140px';
         seleccion_32.style.width= '140px';
         seleccion_33.style.width= '140px';
         seleccion_34.style.width= '140px';
         seleccion_35.style.width= '140px';
         seleccion_36.style.width= '140px';
         seleccion_37.style.width= '140px';
         seleccion_38.style.width= '140px';
         seleccion_39.style.width= '140px';
         seleccion_40.style.width= '140px';
         seleccion_41.style.width= '140px';
         seleccion_42.style.width= '140px';
         seleccion_43.style.width= '140px';
         seleccion_44.style.width= '140px';
         seleccion_45.style.width= '140px';
         seleccion_46.style.width= '140px';
         seleccion_47.style.width= '140px';
         seleccion_48.style.width= '140px';
         seleccion_49.style.width= '140px';
         seleccion_50.style.width= '140px';
         //seleccion_1.style.fontStyle="italic";

      });
      //Edge binding end

      

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'ok'
   (function(symbolName) {   
   
   })("ok");
   //Edge symbol end:'ok'

   //=========================================================
   
   //Edge symbol: 'bad'
   (function(symbolName) {   
   
   })("bad");
   //Edge symbol end:'bad'

   //=========================================================
   
   //Edge symbol: 'bt_validar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar");
   //Edge symbol end:'bt_validar'

   //=========================================================
   
   //Edge symbol: 'bt_solucion'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion");
   //Edge symbol end:'bt_solucion'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
         });
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion); 
         
         $("audio").prop("muted", true);
         
         	if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	//elimina el mute del audio
         	sym.getComposition().getStage().$(soundId)[0].muted = false;
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

   })("bt_audio");
   //Edge symbol end:'bt_audio'

   //=========================================================
   
   //Edge symbol: 'Symbol_3'
   (function(symbolName) {   
   
      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         
         //TEXTAREA//
         
         sym.$("TextArea_01").append(document.createElement("TextArea"));
         $('input[type=text], textarea').css({
         	width:'670px',
         	height:'160px',
         	border:'none',
         	background:'#FFFFFF',
         	fontSize:'26px',
         	lineHeight:'40px',
         	textAlign:'left',
         	margin:'20px',
         	fontFamily:'Cabin',
         	fontStyle:'normal',
         	color:'normal',
         	fontStyle:'#666666'
         });
         
         //TERMINA EL TEXT AREA//

      });
      //Edge binding end

   })("Symbol_3");
   //Edge symbol end:'Symbol_3'

})(jQuery, AdobeEdge, "EDGE-94063035");